OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectionIterator Class Reference

Defines an Iterator on a list of Selections
.

`#include <IFSelect_SelectionIterator.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFSelect_SelectionIterator ()
| Creates an empty iterator, ready to be filled .
Standard_EXPORT | IFSelect_SelectionIterator (const Handle(IFSelect_Selection)&sel)
| Creates an iterator from a Selection : it lists the Selections from which <sel> depends (given by its method FillIterator) .
Standard_EXPORT void | AddFromIter (IFSelect_SelectionIterator &iter)
| Adds to an iterator the content of another one (each selection is present only once in the result) .
Standard_EXPORT void | AddItem (const Handle(IFSelect_Selection)&sel)
| Adds a Selection to an iterator (if not yet noted) .
Standard_EXPORT void | AddList (const IFSelect_TSeqOfSelection &list)
| Adds a list of Selections to an iterator (this list comes from the description of a Selection or a Dispatch, etc...) .
Standard_EXPORT Standard_Boolean | More () const
| Returns True if there are more Selections to get .
Standard_EXPORT void | Next ()
| Sets iterator to the next item .
Standard_EXPORT const Handle_IFSelect_Selection & | Value () const
| Returns the current Selction beeing iterated Error if count of Selection has been passed .
## Private Attributes
Standard_Integer | thecurr
Handle_IFSelect_HSeqOfSelection | thelist

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectionIterator::IFSelect_SelectionIterator | ( |  | ) |

Standard_EXPORT IFSelect_SelectionIterator::IFSelect_SelectionIterator | ( | const Handle(IFSelect_Selection)& | sel | ) |

## Member Function Documentation

Standard_EXPORT void IFSelect_SelectionIterator::AddFromIter | ( | IFSelect_SelectionIterator & | iter | ) |

Standard_EXPORT void IFSelect_SelectionIterator::AddItem | ( | const Handle(IFSelect_Selection)& | sel | ) |

Standard_EXPORT void IFSelect_SelectionIterator::AddList | ( | const IFSelect_TSeqOfSelection & | list | ) |

Standard_EXPORT Standard_Boolean IFSelect_SelectionIterator::More | ( |  | ) | const

Standard_EXPORT void IFSelect_SelectionIterator::Next | ( |  | ) |

void IFSelect_SelectionIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IFSelect_SelectionIterator::operator new | ( | size_t | size | ) | `[inline]`

void* IFSelect_SelectionIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_IFSelect_Selection& IFSelect_SelectionIterator::Value | ( |  | ) | const

## Field Documentation

Standard_Integer IFSelect_SelectionIterator::thecurr`[private]`

Handle_IFSelect_HSeqOfSelection IFSelect_SelectionIterator::thelist`[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectionIterator.hxx